Bug 149104 - [PATCH] update www/phpmyfaq from 2.6.6 to 2.6.7
Summary: [PATCH] update www/phpmyfaq from 2.6.6 to 2.6.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-30 12:50 UTC by Bo-Yi Wu
Modified: 2010-08-10 00:10 UTC (History)
1 user (show)

See Also:


Attachments
phpmyfaq.patch (6.61 KB, patch)
2010-07-30 12:50 UTC, Bo-Yi Wu
no flags Details | Diff
patch-inc__PMF_Search__Resultset.php (712 bytes, text/php)
2010-08-02 13:09 UTC, Florian Smeets
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bo-Yi Wu 2010-07-30 12:50:04 UTC
	update www/phpmyfaq from 2.6.6 to 2.6.7
	Modified Makefile and pkg-plist file.
Comment 1 Edwin Groothuis freebsd_committer 2010-07-30 12:52:40 UTC
Maintainer of www/phpmyfaq,

Please note that PR ports/149104 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/149104

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-30 12:52:44 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Marcelo Araujo freebsd_committer 2010-07-30 13:37:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 4 Florian Smeets 2010-08-02 09:04:11 UTC
Hi,

search is not working anymore for my installation with 2.6.7, i 
submitted a bug report to the author here:

http://forum.phpmyfaq.de/viewtopic.php?f=3&t=10601

I will wait for the authors comment and/or fix. I would like to include 
that before we update the port.

OK?

Cheers,
Florian
Comment 5 Florian Smeets 2010-08-02 13:09:41 UTC
On 02.08.10 10:04, Florian Smeets wrote:
> Hi,
>
> search is not working anymore for my installation with 2.6.7, i
> submitted a bug report to the author here:
>
> http://forum.phpmyfaq.de/viewtopic.php?f=3&t=10601
>
> I will wait for the authors comment and/or fix. I would like to include
> that before we update the port.
>

Ok the author already committed my fix to the upcoming release.

Marcelo, please include the attached patch file when committing the 
update. (It will need to go away one 2.6.8 will be released)

Also sorry for using the wrong email address in the previous message.

Cheers,
Florian
Comment 6 Bo-Yi Wu 2010-08-02 16:22:26 UTC
>Submitter-Id:	current-users
>Originator:	Bo-Yi Wu
>Organization:	Gemtek of Taiwan
>Confidential:	no 
>Synopsis:	Re: ports/149104: [PATCH] update www/phpmyfaq from 2.6.6 to 2.6.7
>Severity:	non-critical
>Priority:	low
>Category:	ports
>Class:		update
>Release:	FreeBSD 7.1-RELEASE-p13 i386
>Environment:
System: FreeBSD freebsd.ee.ccu.edu.tw 7.1-RELEASE-p13 FreeBSD 7.1-RELEASE-p13 #0: Mon Jul 12 17:44:51 UTC 2010 root@i386-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC i386


	
>Description:
	add patch files (files/patch-inc-PMF_Search-Resultset.php), and recommit it.
	
>How-To-Repeat:
	
>Fix:

	

--- phpmyfaq.patch begins here ---
diff -ruN /usr/ports/www/phpmyfaq/Makefile phpmyfaq/Makefile
--- /usr/ports/www/phpmyfaq/Makefile	2010-06-30 05:11:22.000000000 +0800
+++ phpmyfaq/Makefile	2010-07-30 19:07:06.000000000 +0800
@@ -2,11 +2,11 @@
 # Date created:		2005-04-15
 # Whom:			chinsan <chinsan@mail2000.com.tw>
 #
-# $FreeBSD: ports/www/phpmyfaq/Makefile,v 1.49 2010/06/29 08:51:48 miwi Exp $
+# $FreeBSD: ports/www/phpmyfaq/Makefile,v 1.48 2010/06/02 15:29:18 miwi Exp $
 #
 
 PORTNAME=	phpmyfaq
-PORTVERSION=	2.6.6
+PORTVERSION=	2.6.7
 CATEGORIES=	www
 MASTER_SITES=	http://www.phpmyfaq.de/download/
 
diff -ruN /usr/ports/www/phpmyfaq/distinfo phpmyfaq/distinfo
--- /usr/ports/www/phpmyfaq/distinfo	2010-06-30 05:11:22.000000000 +0800
+++ phpmyfaq/distinfo	2010-07-30 19:08:02.000000000 +0800
@@ -1,3 +1,3 @@
-MD5 (phpmyfaq-2.6.6.tar.gz) = 8b7eb7996313382a0ac93dc0a64a48ff
-SHA256 (phpmyfaq-2.6.6.tar.gz) = a4ceec951c78b53a72d12ef0239196280964d9b8f996c5705726cfcd5270cade
-SIZE (phpmyfaq-2.6.6.tar.gz) = 3032100
+MD5 (phpmyfaq-2.6.7.tar.gz) = 3d15bff7d1d711a6061b56d880a46ffc
+SHA256 (phpmyfaq-2.6.7.tar.gz) = 71e5846d4854548444f41b0d02ec221fda72439cf512cdefdb34332e7788029a
+SIZE (phpmyfaq-2.6.7.tar.gz) = 3034093
diff -ruN /usr/ports/www/phpmyfaq/files/patch-inc-PMF_Search-Resultset.php phpmyfaq/files/patch-inc-PMF_Search-Resultset.php
--- /usr/ports/www/phpmyfaq/files/patch-inc-PMF_Search-Resultset.php	1970-01-01 08:00:00.000000000 +0800
+++ phpmyfaq/files/patch-inc-PMF_Search-Resultset.php	2010-08-02 23:12:45.000000000 +0800
@@ -0,0 +1,11 @@
+--- ./inc/PMF_Search/Resultset.php.orig	2010-08-02 13:58:15.000000000 +0200
++++ ./inc/PMF_Search/Resultset.php	2010-08-02 13:58:40.000000000 +0200
+@@ -107,7 +107,9 @@
+         
+         $duplicateResults = array();
+         $currentUserId    = $this->user->getUserId();
+-        $currentGroupIds  = $this->user->perm->getUserGroups($currentUserId);
++        if ('medium' == PMF_Configuration::getInstance()->get('main.permLevel')) {
++            $currentGroupIds  = $this->user->perm->getUserGroups($currentUserId);
++        }
+
diff -ruN /usr/ports/www/phpmyfaq/pkg-plist phpmyfaq/pkg-plist
--- /usr/ports/www/phpmyfaq/pkg-plist	2010-06-30 05:11:22.000000000 +0800
+++ phpmyfaq/pkg-plist	2010-07-30 19:17:23.000000000 +0800
@@ -656,8 +656,8 @@
 %%WWWDIR%%/admin/images/url-noajax.png
 %%WWWDIR%%/admin/images/url-nolinks.png
 %%WWWDIR%%/admin/images/url-noscript.png
-%%WWWDIR%%/admin/js/user.js
 %%WWWDIR%%/admin/index.php
+%%WWWDIR%%/admin/js/user.js
 %%WWWDIR%%/admin/linkconfig.main.php
 %%WWWDIR%%/admin/news.php
 %%WWWDIR%%/admin/password.php
@@ -694,10 +694,10 @@
 %%WWWDIR%%/contact.php
 %%WWWDIR%%/cron.verifyurls.php
 %%WWWDIR%%/docs/CHANGEDFILES
+%%WWWDIR%%/docs/CHANGELOG
 %%WWWDIR%%/docs/INSTALL
 %%WWWDIR%%/docs/LICENSE
 %%WWWDIR%%/docs/README
-%%WWWDIR%%/docs/CHANGELOG
 %%WWWDIR%%/docs/documentation.en.html
 %%WWWDIR%%/feed/category/rss.php
 %%WWWDIR%%/feed/latest/rss.php
@@ -797,10 +797,18 @@
 %%WWWDIR%%/inc/PMF_Perm/PermMedium.php
 %%WWWDIR%%/inc/PMF_Search/Abstract.php
 %%WWWDIR%%/inc/PMF_Search/Database.php
+%%WWWDIR%%/inc/PMF_Search/Database/Ibase.php
+%%WWWDIR%%/inc/PMF_Search/Database/Ibm_db2.php
+%%WWWDIR%%/inc/PMF_Search/Database/Mssql.php
 %%WWWDIR%%/inc/PMF_Search/Database/Mysql.php
 %%WWWDIR%%/inc/PMF_Search/Database/Mysqli.php
+%%WWWDIR%%/inc/PMF_Search/Database/Oci8.php
 %%WWWDIR%%/inc/PMF_Search/Database/Pgsql.php
+%%WWWDIR%%/inc/PMF_Search/Database/Sqlite.php
+%%WWWDIR%%/inc/PMF_Search/Database/Sqlsrv.php
+%%WWWDIR%%/inc/PMF_Search/Database/Sybase.php
 %%WWWDIR%%/inc/PMF_Search/Exception.php
+%%WWWDIR%%/inc/PMF_Search/Factory.php
 %%WWWDIR%%/inc/PMF_Search/Interface.php
 %%WWWDIR%%/inc/PMF_Search/Resultset.php
 %%WWWDIR%%/inc/PMF_String/Abstract.php
@@ -837,8 +845,6 @@
 %%WWWDIR%%/inc/js/plugins/datePicker/jquery.datePicker.js
 %%WWWDIR%%/inc/js/suggest.js
 %%WWWDIR%%/inc/js/syntaxhighlighter/LGPLv3.txt
-%%WWWDIR%%/inc/js/syntaxhighlighter/src/shCore.js
-%%WWWDIR%%/inc/js/syntaxhighlighter/src/shLegacy.js
 %%WWWDIR%%/inc/js/syntaxhighlighter/scripts/clipboard.swf
 %%WWWDIR%%/inc/js/syntaxhighlighter/scripts/shBrushAS3.js
 %%WWWDIR%%/inc/js/syntaxhighlighter/scripts/shBrushBash.js
@@ -865,6 +871,8 @@
 %%WWWDIR%%/inc/js/syntaxhighlighter/scripts/shBrushXml.js
 %%WWWDIR%%/inc/js/syntaxhighlighter/scripts/shCore.js
 %%WWWDIR%%/inc/js/syntaxhighlighter/scripts/shLegacy.js
+%%WWWDIR%%/inc/js/syntaxhighlighter/src/shCore.js
+%%WWWDIR%%/inc/js/syntaxhighlighter/src/shLegacy.js
 %%WWWDIR%%/inc/js/syntaxhighlighter/styles/help.png
 %%WWWDIR%%/inc/js/syntaxhighlighter/styles/magnifier.png
 %%WWWDIR%%/inc/js/syntaxhighlighter/styles/page_white_code.png
@@ -925,6 +933,7 @@
 %%WWWDIR%%/install/questionnaire.php
 %%WWWDIR%%/install/setup.php
 %%WWWDIR%%/install/sqlite.sql.php
+%%WWWDIR%%/install/sqlsrv.sql.php
 %%WWWDIR%%/install/stopwords.sql.php
 %%WWWDIR%%/install/style/setup.css
 %%WWWDIR%%/install/sybase.sql.php
@@ -983,15 +992,15 @@
 %%WWWDIR%%/savecomment.php
 %%WWWDIR%%/savequestion.php
 %%WWWDIR%%/savevoting.php
+%%WWWDIR%%/scripts/git2changelog.sh
+%%WWWDIR%%/scripts/git2package.sh
+%%WWWDIR%%/scripts/version.sh
 %%WWWDIR%%/search.php
 %%WWWDIR%%/send2friend.php
 %%WWWDIR%%/sendmail.php
 %%WWWDIR%%/show.php
 %%WWWDIR%%/sitemap.google.php
 %%WWWDIR%%/sitemap.php
-%%WWWDIR%%/scripts/git2changelog.sh
-%%WWWDIR%%/scripts/git2package.sh
-%%WWWDIR%%/scripts/version.sh
 %%WWWDIR%%/template/default/add.tpl
 %%WWWDIR%%/template/default/artikel.tpl
 %%WWWDIR%%/template/default/ask.tpl
@@ -1034,6 +1043,7 @@
 @dirrm %%WWWDIR%%/xml
 @dirrm %%WWWDIR%%/template/default
 @dirrmtry %%WWWDIR%%/template
+@dirrm %%WWWDIR%%/scripts
 @dirrmtry %%WWWDIR%%/pdf
 @dirrm %%WWWDIR%%/lang
 @dirrm %%WWWDIR%%/install/style
@@ -1043,18 +1053,18 @@
 @dirrm %%WWWDIR%%/inc/libs/phpseclib/Crypt
 @dirrm %%WWWDIR%%/inc/libs/phpseclib
 @dirrm %%WWWDIR%%/inc/libs
-@dirrm %%WWWDIR%%/inc/js/syntaxhighlighter/scripts
 @dirrm %%WWWDIR%%/inc/js/syntaxhighlighter/styles
 @dirrm %%WWWDIR%%/inc/js/syntaxhighlighter/src
+@dirrm %%WWWDIR%%/inc/js/syntaxhighlighter/scripts
 @dirrm %%WWWDIR%%/inc/js/syntaxhighlighter
 @dirrm %%WWWDIR%%/inc/js/plugins/datePicker
 @dirrm %%WWWDIR%%/inc/js/plugins/autocomplete
 @dirrm %%WWWDIR%%/inc/js/plugins
 @dirrm %%WWWDIR%%/inc/js
 @dirrm %%WWWDIR%%/inc/PMF_User
+@dirrm %%WWWDIR%%/inc/PMF_String
 @dirrm %%WWWDIR%%/inc/PMF_Search/Database
 @dirrm %%WWWDIR%%/inc/PMF_Search
-@dirrm %%WWWDIR%%/inc/PMF_String
 @dirrm %%WWWDIR%%/inc/PMF_Perm
 @dirrm %%WWWDIR%%/inc/PMF_Mail
 @dirrm %%WWWDIR%%/inc/PMF_Language
@@ -1070,7 +1080,6 @@
 @dirrm %%WWWDIR%%/inc/PMF_Attachment/Filesystem
 @dirrm %%WWWDIR%%/inc/PMF_Attachment
 @dirrm %%WWWDIR%%/inc
-@dirrm %%WWWDIR%%/scripts
 @dirrmtry %%WWWDIR%%/images
 @dirrm %%WWWDIR%%/font
 @dirrm %%WWWDIR%%/feed/topten
@@ -1084,8 +1093,8 @@
 @dirrmtry %%WWWDIR%%/config
 @dirrm %%WWWDIR%%/attachments
 @dirrm %%WWWDIR%%/admin/style
-@dirrm %%WWWDIR%%/admin/images
 @dirrm %%WWWDIR%%/admin/js
+@dirrm %%WWWDIR%%/admin/images
 @dirrm %%WWWDIR%%/admin/editor/utils
 @dirrm %%WWWDIR%%/admin/editor/themes/simple/skins/o2k7/img
 @dirrm %%WWWDIR%%/admin/editor/themes/simple/skins/o2k7
@@ -1153,8 +1162,8 @@
 @dirrm %%WWWDIR%%/admin/editor/plugins/media/img
 @dirrm %%WWWDIR%%/admin/editor/plugins/media/css
 @dirrm %%WWWDIR%%/admin/editor/plugins/media
-@dirrm %%WWWDIR%%/admin/editor/plugins/layer
 @dirrm %%WWWDIR%%/admin/editor/plugins/legacyoutput
+@dirrm %%WWWDIR%%/admin/editor/plugins/layer
 @dirrm %%WWWDIR%%/admin/editor/plugins/insertdatetime
 @dirrm %%WWWDIR%%/admin/editor/plugins/inlinepopups/skins/clearlooks2/img
 @dirrm %%WWWDIR%%/admin/editor/plugins/inlinepopups/skins/clearlooks2
--- phpmyfaq.patch ends here ---
Comment 7 dfilter service freebsd_committer 2010-08-10 00:02:27 UTC
araujo      2010-08-09 23:02:13 UTC

  FreeBSD ports repository

  Modified files:
    www/phpmyfaq         Makefile distinfo pkg-plist 
  Added files:
    www/phpmyfaq/files   patch-inc-PMF_Search-Resultset.php 
  Log:
  - Update to 2.6.7.
  
  PR:             ports/149104
  Submitted by:   Bo-Yi Wu <appleboy.tw@gmail.com>
  Approved by:    Florian Smeets <flo@smeets.im> (maintainer)
  
  Revision  Changes    Path
  1.50      +1 -1      ports/www/phpmyfaq/Makefile
  1.45      +3 -3      ports/www/phpmyfaq/distinfo
  1.1       +11 -0     ports/www/phpmyfaq/files/patch-inc-PMF_Search-Resultset.php (new)
  1.20      +22 -12    ports/www/phpmyfaq/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Marcelo Araujo freebsd_committer 2010-08-10 00:06:40 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!